# SparkSetEMode

### Description

Set positions eMode

> **Notes**
>
> User sets EMode for Spark position on user's wallet

### Action ID

`0x2fa361c3`

### SDK Action

```ts
const sparkSetEModeAction = new dfs.actions.spark.SparkSetEModeAction(
    useOnDefaultMarket,
    market,
    categoryId
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param categoryId eMode category id (0 - 255)
    /// @param useDefaultMarket Whether to use the default market
    /// @param market Address of the market to set the eMode for
    struct Params {
        uint8 categoryId;
        bool useDefaultMarket;
        address market;
    }
```

### Return Value

```solidity
return bytes32(categoryId);
```

### Events and Logs

```solidity
emit ActionEvent("SparkSetEMode", logData);
logger.logActionDirectEvent("SparkSetEMode", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/spark/sparksetemode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
